Subject: Re: bug#19813: 24.4; emacs crashes on exit

From: Test User <[email-masked]>
Date: Mon, 9 Feb 2015 04:03:24 -0500

On Sun, Feb 8, 2015 at 10:41 PM, Eli Zaretskii <[email-masked]> wrote:

> > Date: Sun, 8 Feb 2015 18:03:04 -0500
> > From: Test User <[email-masked]>
> >
> > I have *one* copy (not in my path) in a directory in which I had
> assembled
> > all the files required by a small program that I wrote, including this
> DLL and
> > libstdc++. On XP, even though the DLL is in the PATH, it is not loaded
> when
> > emacs runs, according to Process Monitor.
>
> The problem is not with libgcc_s_dw2-1.dll, the problem is with some
> other DLL that loads it, typically zlib1.dll or some image library.
>

I built emacs with -shared-libgcc in LDFLAGS and the problem went away.
I have some questions about building emacs, but they will be in a post
to the user list.

Thanks. You can close the bug if you have not already done so.

On my main system (where the problem occurs), there is no zlib1.dll in
/mingw/bin. I built it myself, and it does *not* have a dependency on
libgcc_s_dw2-1.dll. On my virtual machine (where I did not have the
problem),
there is a zlib1.dll supplied by MinGW, and it *does* depend on
libgcc_s_dw2-1.dll.

The only DLL loaded when emacs runs that depends on libgcc_s_dw2-1.dll
is libharfbuzz-0.dll, which is not loaded with `emacs -Q'. For your
information,
other DLLs usually loaded but not with the -Q flag include (and are possibly
not limited to):

libcairo-2.dll
libcroco*.dll
libfontconfig-1.dll
libfreetype-6.dll
libffi*.dll
libpango*.dll
libgdk_pixbuf*.dll
libglib-2*.dll
libgio-2*.dll
libgmodule-2*.dll
libgobject-2*.dll
libiconv*.dll
libintl-8.dll
liblzma-5.dll
libpcre-1.dll
libpcreposix-0.dll
libpng*.dll
librsvg*.dll
libpixman*.dll
and maybe a few others.